Bug 1661971 - Update from 6.4.1 to 6.5 failed due to yum dependency resolution
Summary: Update from 6.4.1 to 6.5 failed due to yum dependency resolution
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Packaging
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks: 1653153
TreeView+ depends on / blocked
 
Reported: 2018-12-25 04:06 UTC by Nikhil Kathole
Modified: 2019-10-07 17:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:45 UTC

Description Nikhil Kathole 2018-12-25 04:06:08 UTC
Description of problem:

Update from 6.4.1 to 6.5 failed due to yum dependency resolution.

--> Running transaction check
---> Package rh-ruby24-ruby-libs.x86_64 0:2.4.5-91.el7 will be obsoleted
--> Processing Dependency: rh-ruby24-ruby(release) for package: tfm-rubygem-smart_proxy_dynflow_core-0.2.1-4.el7sat.noarch
---> Package rh-ruby24-rubygems.noarch 0:2.6.14.3-91.el7 will be obsoleted
--> Processing Dependency: rh-ruby24-rubygems for package: tfm-rubygem-smart_proxy_dynflow_core-0.2.1-4.el7sat.noarch
---> Package tfm-ror51-rubygem-rack.noarch 0:2.0.3-1.el7sat will be obsoleted
--> Processing Dependency: tfm-ror51-rubygem(rack) for package: tfm-rubygem-smart_proxy_dynflow_core-0.2.1-4.el7sat.noarch
---> Package tfm-ror51-rubygem-sinatra.noarch 0:2.0.0-1.el7sat will be obsoleted
--> Processing Dependency: tfm-ror51-rubygem(sinatra) for package: tfm-rubygem-smart_proxy_dynflow_core-0.2.1-4.el7sat.noarch
---> Package tfm-ror51-rubygem-sqlite3.x86_64 0:1.3.13-1.el7sat will be obsoleted
--> Processing Dependency: tfm-ror51-rubygem(sqlite3) for package: tfm-rubygem-smart_proxy_dynflow_core-0.2.1-4.el7sat.noarch
---> Package tfm-ror52-rubygem-coffee-script-source.noarch 0:1.12.2-1.el7sat will be installed
---> Package tfm-ror52-rubygem-crass.noarch 0:1.0.4-1.el7sat will be installed
---> Package tfm-ror52-rubygem-execjs.noarch 0:2.7.0-1.el7sat will be installed
---> Package tfm-ror52-rubygem-mimemagic.noarch 0:0.3.2-1.el7sat will be installed
---> Package tfm-ror52-rubygem-websocket-extensions.noarch 0:0.1.3-1.el7sat will be installed
--> Finished Dependency Resolution
Error: Package: tfm-rubygem-smart_proxy_dynflow_core-0.2.1-4.el7sat.noarch (@rhel-7-server-satellite-6.4-rpms)
           Requires: tfm-ror51-rubygem(rack)
           Removing: tfm-ror51-rubygem-rack-2.0.3-1.el7sat.noarch (@rhel-7-server-satellite-6.4-rpms)
               tfm-ror51-rubygem(rack) = 2.0.3
           Obsoleted By: satellite-common-6.5.0-5.beta.el7sat.noarch (sat6)
               Not found
Error: Package: tfm-rubygem-smart_proxy_dynflow_core-0.2.1-4.el7sat.noarch (@rhel-7-server-satellite-6.4-rpms)
           Requires: tfm-ror51-rubygem(sqlite3)
           Removing: tfm-ror51-rubygem-sqlite3-1.3.13-1.el7sat.x86_64 (@rhel-7-server-satellite-6.4-rpms)
               tfm-ror51-rubygem(sqlite3) = 1.3.13
           Obsoleted By: satellite-common-6.5.0-5.beta.el7sat.noarch (sat6)
               Not found
Error: Package: tfm-rubygem-smart_proxy_dynflow_core-0.2.1-4.el7sat.noarch (@rhel-7-server-satellite-6.4-rpms)
           Requires: tfm-ror51-rubygem(sinatra)
           Removing: tfm-ror51-rubygem-sinatra-2.0.0-1.el7sat.noarch (@rhel-7-server-satellite-6.4-rpms)
               tfm-ror51-rubygem(sinatra) = 2.0.0
           Obsoleted By: satellite-common-6.5.0-5.beta.el7sat.noarch (sat6)
               Not found
Error: Package: tfm-rubygem-smart_proxy_dynflow_core-0.2.1-4.el7sat.noarch (@rhel-7-server-satellite-6.4-rpms)
           Requires: rh-ruby24-ruby(release)
           Removing: rh-ruby24-ruby-libs-2.4.5-91.el7.x86_64 (@rhel-server-rhscl-7-rpms)
               rh-ruby24-ruby(release) = 2.4.5
           Obsoleted By: satellite-common-6.5.0-5.beta.el7sat.noarch (sat6)
               Not found
           Available: rh-ruby24-ruby-libs-2.4.0-75.el7.x86_64 (rhel-server-rhscl-7-rpms)
               rh-ruby24-ruby(release) = 2.4.0
           Available: rh-ruby24-ruby-libs-2.4.2-86.el7.x86_64 (rhel-server-rhscl-7-rpms)
               rh-ruby24-ruby(release) = 2.4.2
           Available: rh-ruby24-ruby-libs-2.4.3-90.el7.x86_64 (rhel-server-rhscl-7-rpms)
               rh-ruby24-ruby(release) = 2.4.3
Error: Package: tfm-rubygem-smart_proxy_dynflow_core-0.2.1-4.el7sat.noarch (@rhel-7-server-satellite-6.4-rpms)
           Requires: rh-ruby24-rubygems
           Removing: rh-ruby24-rubygems-2.6.14.3-91.el7.noarch (@rhel-server-rhscl-7-rpms)
               rh-ruby24-rubygems = 2.6.14.3-91.el7
           Obsoleted By: satellite-common-6.5.0-5.beta.el7sat.noarch (sat6)
               Not found
           Available: rh-ruby24-rubygems-2.6.8-75.el7.noarch (rhel-server-rhscl-7-rpms)
               rh-ruby24-rubygems = 2.6.8-75.el7
           Available: rh-ruby24-rubygems-2.6.14-86.el7.noarch (rhel-server-rhscl-7-rpms)
               rh-ruby24-rubygems = 2.6.14-86.el7
           Available: rh-ruby24-rubygems-2.6.14-90.el7.noarch (rhel-server-rhscl-7-rpms)
               rh-ruby24-rubygems = 2.6.14-90.el7


Version-Release number of selected component (if applicable):
Upgrade from 6.4.1 to 6.5

 # rpm -q satellite
satellite-6.4.1-1.el7sat.noarch


How reproducible: always


Steps to Reproduce:
1. Install 6.4.1
2. enable 6.5 repos
3. foreman-maintain upgrade run --target-version 6.5

Actual results:
yum update failed with dependency issue.


Expected results:
Successful dependency resolution. 


Additional info:
6.4.1 has tfm-rubygem-smart_proxy_dynflow_core-0.2.1-4.el7sat.noarch and 6.5 has older tfm-rubygem-smart_proxy_dynflow_core-0.2.1-3.el7sat.noarch.

# yum whatprovides tfm-rubygem-smart_proxy_dynflow_core
Loaded plugins: langpacks, product-id, search-disabled-repos, subscription-manager
tfm-rubygem-smart_proxy_dynflow_core-0.2.1-3.el7sat.noarch : Core Smart Proxy Dynflow Service
Repo        : sat6.5



tfm-rubygem-smart_proxy_dynflow_core-0.2.1-4.el7sat.noarch : Core Smart Proxy Dynflow Service
Repo        : @rhel-7-server-satellite-6.4-rpms

Comment 4 Nikhil Kathole 2019-01-08 12:26:55 UTC
VERIFIED

Version tested:

6.4.1 -> 6.5 snap 10 update

<trimmed>
Processing Dependency: tfm-ror52-rubygem(sqlite3) for package: tfm-rubygem-smart_proxy_dynflow_core-0.2.1-5.el7sat.noarch
 ---> Package tfm-rubygem-sshkey.noarch 0:1.9.0-2.el7sat will be updated
 ---> Package tfm-rubygem-sshkey.noarch 0:1.9.0-3.el7sat will be an update
 ---> Package tfm-rubygem-trollop.noarch 0:2.1.2-2.el7sat will be updated
 ---> Package tfm-rubygem-trollop.noarch 0:2.1.2-3.el7sat will be an update
 ---> Package tfm-rubygem-unf.noarch 0:0.1.3-6.el7sat will be updated
 ---> Package tfm-rubygem-unf.noarch 0:0.1.3-7.el7sat will be an update
 ---> Package tfm-rubygem-unf_ext.x86_64 0:0.0.6-8.el7sat will be updated
 ---> Package tfm-rubygem-unf_ext.x86_64 0:0.0.6-9.el7sat will be an update
 ---> Package tfm-rubygem-unicode.x86_64 0:0.4.4.1-5.el7sat will be updated
 ---> Package tfm-rubygem-unicode.x86_64 0:0.4.4.1-6.el7sat will be an update
 ---> Package tfm-rubygem-unicode-display_width.noarch 0:1.0.5-4.el7sat will be updated
 ---> Package tfm-rubygem-unicode-display_width.noarch 0:1.0.5-5.el7sat will be an update
 ---> Package tfm-rubygem-useragent.noarch 0:0.16.8-2.el7sat will be obsoleted
 ---> Package tfm-rubygem-validates_lengths_from_database.noarch 0:0.5.0-4.el7sat will be updated
 ---> Package tfm-rubygem-validates_lengths_from_database.noarch 0:0.5.0-5.el7sat will be an update
 ---> Package tfm-rubygem-webpack-rails.noarch 0:0.9.8-4.el7sat will be updated
 ---> Package tfm-rubygem-webpack-rails.noarch 0:0.9.8-5.el7sat will be an update
 ---> Package tfm-rubygem-wicked.noarch 0:1.3.2-1.el7sat will be updated
 ---> Package tfm-rubygem-wicked.noarch 0:1.3.3-1.el7sat will be an update
 ---> Package tfm-rubygem-will_paginate.noarch 0:3.1.5-2.el7sat will be updated
 ---> Package tfm-rubygem-will_paginate.noarch 0:3.1.5-3.el7sat will be an update
 ---> Package tfm-rubygem-x-editable-rails.noarch 0:1.5.5-3.el7sat will be updated
 ---> Package tfm-rubygem-x-editable-rails.noarch 0:1.5.5-4.el7sat will be an update
 ---> Package tfm-runtime.x86_64 0:4.0-3.el7sat will be updated
 ---> Package tfm-runtime.x86_64 0:5.0-3.el7sat will be an update
 --> Processing Dependency: tfm-ror52-runtime for package: tfm-runtime-5.0-3.el7sat.x86_64
<trimmed>

Comment 6 errata-xmlrpc 2019-05-14 12:39:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.